%define name freeipmi
%define version 1.1.5
%define release %mkrel 1
%define freeipmi_major	        12
%define ipmiconsole_major	    2
%define ipmidetect_major	    0
%define ipmimonitoring_major	5
%define libfreeipmi_name	    %mklibname freeipmi %{freeipmi_major}
%define libipmiconsole_name	    %mklibname ipmiconsole %{ipmiconsole_major}
%define libipmidetect_name	    %mklibname ipmidetect %{ipmidetect_major}
%define libipmimonitoring_name	%mklibname ipmimonitoring %{ipmimonitoring_major}
%define develname %mklibname -d %{name}

%define old_libname    %mklibname freeipmi 5
%define old_librelease 0.6.5-1

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	FreeIPMI
License: 	GPLv2+
Group: 		System/Kernel and hardware
URL:		http://www.gnu.org/software/freeipmi/index.html
Source0: 	http://ftp.gnu.org/gnu/freeipmi/%{name}-%{version}.tar.gz
Patch0:		freeipmi-1.0.1-fix-str-fmt.patch
BuildRequires:	guile-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  transfig
BuildRequires:  ghostscript
BuildRequires:  texinfo
BuildRequires:  tetex-latex
# uses sys/io.h style I/O
ExcludeArch:	ppc %mips

%description
The FreeIPMI project provides "Remote-Console" (out-of-band) and
"System Management Software" (in-band) based on Intelligent
Platform Management Interface (IPMI v1.5) specification.

%package -n	%{libfreeipmi_name}
Group:		System/Libraries
License:	GPL
Summary:	Main library for %{name}
Obsoletes:	%{old_libname} < %{old_librelease}

%description -n	%{libfreeipmi_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmiconsole_name}
Group:		System/Libraries
License:	GPL
Summary:	Main library for %{name}
Obsoletes:	%{old_libname} < %{old_librelease}

%description -n	%{libipmiconsole_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmidetect_name}
Group:		System/Libraries
License:	GPL
Summary:	Main library for %{name}
Obsoletes:	%{old_libname} < %{old_librelease}

%description -n	%{libipmidetect_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{libipmimonitoring_name}
Group:		System/Libraries
License:	GPL
Summary:	Main library for %{name}
Obsoletes:	%{old_libname} < %{old_librelease}

%description -n	%{libipmimonitoring_name}
This package contains one of the libraries needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Group:		Development/C
License:	GPL
Summary:	Headers for developing programs that will use %{name}
Requires:	%{libfreeipmi_name} = %{version}-%{release}
Requires:	%{libipmimonitoring_name} = %{version}-%{release}
Requires:	%{libipmiconsole_name} = %{version}-%{release}
Requires:	%{libipmidetect_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Obsoletes:	%{libfreeipmi_name}-devel

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package fish
Summary:    FreeIPMI Shell
Group:      System/Kernel and hardware
Requires:   %{name} = %{version}

%description fish
Fish provides Shell, Extension/Plug-in and scripting interface. As a
shell, User has access to both in-band and out-of-band access to the
host BMC through a rich set of IPMI commands.

%package utils
Summary:    FreeIPMI Utilities
Group:      System/Kernel and hardware
Requires:   %{name} = %{version}
Requires(pre,preun):	rpm-helper

%description utils
FreeIPMI utilities ipmipower, bmc-watchdog, ipmiping, and rmcpping.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --localstatedir=/%{_var} --disable-dependency-tracking
%make 
cd doc
make pdf
cd -

%install
%makeinstall_std 
find %{buildroot} -type f -name '*.la' -exec rm -f {} \;

install -d -m 755 %{buildroot}/%{_initrddir}
mv %{buildroot}/%{_sysconfdir}/init.d/bmc-watchdog %{buildroot}/%{_initrddir}/bmcwatchdog
mv %{buildroot}/%{_sysconfdir}/init.d/ipmidetectd %{buildroot}/%{_initrddir}
rm -rf %{buildroot}%{_docdir}/%{name}

%post utils
%_post_service bmcwatchdog

%preun utils
%_preun_service bmcwatchdog

%preun
%_remove_install_info %{name}.info
%_remove_install_info %{name}-faq.info

%post
%_install_info %{name}.info
%_install_info %{name}-faq.info

%files
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README TODO
%doc doc/*.pdf
%{_sysconfdir}/freeipmi/*.conf
%{_mandir}/man5/freeipmi_interpret_sel.conf.5.*
%{_mandir}/man5/freeipmi_interpret_sensor.conf.5.*
%{_mandir}/man5/libipmiconsole.conf.5.*
%{_infodir}/freeipmi-faq.info*
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/lib/%{name}/ipckey

%files -n %{libfreeipmi_name}
%{_libdir}/libfreeipmi.so.%{freeipmi_major}*

%files -n %{libipmiconsole_name}
%{_libdir}/libipmiconsole.so.%{ipmiconsole_major}*

%files -n %{libipmidetect_name}
%{_libdir}/libipmidetect.so.%{ipmidetect_major}*

%files -n %{libipmimonitoring_name}
%{_libdir}/libipmimonitoring.so.%{ipmimonitoring_major}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/pkgconfig/libfreeipmi.pc
%{_libdir}/pkgconfig/libipmiconsole.pc
%{_libdir}/pkgconfig/libipmidetect.pc
%{_libdir}/pkgconfig/libipmimonitoring.pc

%files fish
%{_sbindir}/bmc-config
%{_sbindir}/bmc-info
%{_sbindir}/ipmi-sel
%{_sbindir}/ipmi-sensors
%{_sbindir}/ipmi-sensors-config
%{_mandir}/man5/bmc-config.conf.5*
%{_mandir}/man8/bmc-config.8*
%{_mandir}/man8/bmc-info.8*
%{_mandir}/man8/ipmi-sel.8*
%{_mandir}/man8/ipmi-sensors.8*
%{_mandir}/man8/ipmi-sensors-config.8*

%files utils
%doc COPYING.bmc-watchdog DISCLAIMER.bmc-watchdog
%doc COPYING.ipmiconsole DISCLAIMER.ipmiconsole 
%doc COPYING.ipmiping DISCLAIMER.ipmiping
%doc COPYING.ipmipower DISCLAIMER.ipmipower
%{_sysconfdir}/logrotate.d/bmc-watchdog
%{_initrddir}/bmcwatchdog
%{_initrddir}/ipmidetectd
%config(noreplace) %{_sysconfdir}/sysconfig/bmc-watchdog
%{_sbindir}/bmc-device
%{_sbindir}/bmc-watchdog
%{_sbindir}/ipmi-chassis
%{_sbindir}/ipmi-chassis-config
%{_sbindir}/ipmi-console
%{_sbindir}/ipmi-dcmi
%{_sbindir}/ipmi-detect
%{_sbindir}/ipmi-fru
%{_sbindir}/ipmi-locate
%{_sbindir}/ipmi-oem
%{_sbindir}/ipmi-pet
%{_sbindir}/ipmi-pef-config
%{_sbindir}/ipmi-ping
%{_sbindir}/ipmi-power
%{_sbindir}/ipmi-raw
%{_sbindir}/ipmiconsole
%{_sbindir}/ipmidetect
%{_sbindir}/ipmidetectd
%{_sbindir}/ipmimonitoring
%{_sbindir}/ipmiping
%{_sbindir}/ipmipower
%{_sbindir}/pef-config
%{_sbindir}/rmcp-ping
%{_sbindir}/rmcpping
%{_mandir}/man3/libfreeipmi.3.*
%{_mandir}/man3/libipmiconsole.3.*
%{_mandir}/man3/libipmidetect.3.*
%{_mandir}/man3/libipmimonitoring.3.*
%{_mandir}/man5/freeipmi.conf.5.*
%{_mandir}/man5/ipmi_monitoring_sensors.conf.5.*
%{_mandir}/man5/ipmiconsole.conf.5.*
%{_mandir}/man5/ipmidetect.conf.5.*
%{_mandir}/man5/ipmidetectd.conf.5.*
%{_mandir}/man5/ipmimonitoring.conf.5.*
%{_mandir}/man5/ipmimonitoring_sensors.conf.5.*
%{_mandir}/man5/ipmipower.conf.5.*
%{_mandir}/man5/libipmimonitoring.conf.5.*
%{_mandir}/man7/freeipmi.7.*
%{_mandir}/man8/bmc-device.8.*
%{_mandir}/man8/bmc-watchdog.8.*
%{_mandir}/man8/ipmi-chassis-config.8.*
%{_mandir}/man8/ipmi-chassis.8.*
%{_mandir}/man8/ipmi-console.8.*
%{_mandir}/man8/ipmi-dcmi.8.*
%{_mandir}/man8/ipmi-detect.8.*
%{_mandir}/man8/ipmi-fru.8.*
%{_mandir}/man8/ipmi-locate.8.*
%{_mandir}/man8/ipmi-oem.8.*
%{_mandir}/man8/ipmi-pet.8.*
%{_mandir}/man8/ipmi-pef-config.8.*
%{_mandir}/man8/ipmi-ping.8.*
%{_mandir}/man8/ipmi-power.8.*
%{_mandir}/man8/ipmi-raw.8.*
%{_mandir}/man8/ipmiconsole.8.*
%{_mandir}/man8/ipmidetect.8.*
%{_mandir}/man8/ipmidetectd.8.*
%{_mandir}/man8/ipmimonitoring.8.*
%{_mandir}/man8/ipmiping.8.*
%{_mandir}/man8/ipmipower.8.*
%{_mandir}/man8/pef-config.8.*
%{_mandir}/man8/rmcp-ping.8.*
%{_mandir}/man8/rmcpping.8.*


%changelog
* Sat May 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.5-1mdv2012.0
+ Revision: 799620
- version update 1.1.5

* Fri Apr 27 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.4-1
+ Revision: 794046
- version update 1.1.4
- version update 1.1.1

* Wed Nov 23 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.0.9-1
+ Revision: 732986
- version bump 1.0.9

* Fri Oct 28 2011 Andrey Bondrov <abondrov@mandriva.org> 1.0.8-1
+ Revision: 707681
- New version 1.0.8

* Tue Oct 18 2011 Andrey Bondrov <abondrov@mandriva.org> 1.0.7-1
+ Revision: 705120
- New version 1.0.7, now we have pkg-config files

* Fri Apr 22 2011 Sandro Cazzaniga <kharec@mandriva.org> 1.0.4-1
+ Revision: 656626
- New version 1.0.4

* Sun Mar 13 2011 Funda Wang <fwang@mandriva.org> 1.0.2-1
+ Revision: 644134
- new version 1.0.2

* Fri Jan 21 2011 Funda Wang <fwang@mandriva.org> 1.0.1-1
+ Revision: 631993
- 1.0.1

* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 0.8.12-1mdv2011.0
+ Revision: 620622
- new version 0.8.12

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.8.9-1mdv2011.0
+ Revision: 571576
- update to new version 0.8.9
- new version 0.8.8

* Sat Mar 06 2010 Funda Wang <fwang@mandriva.org> 0.8.4-1mdv2010.1
+ Revision: 514914
- update to new version 0.8.4

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.8.3-1mdv2010.1
+ Revision: 499855
- update to new version 0.8.3

* Thu Jan 07 2010 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 487030
- update to new version 0.8.2

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2010.1
+ Revision: 475299
- new version 0.8.1

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 0.7.16-1mdv2010.1
+ Revision: 472470
- new version 0.7.16

* Thu Nov 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.15-1mdv2010.1
+ Revision: 467562
- update to new version 0.7.15

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 0.7.14-1mdv2010.1
+ Revision: 465990
- new version 0.7.14

* Wed Oct 14 2009 Erwan Velu <erwan@mandriva.org> 0.7.13-2mdv2010.0
+ Revision: 457439
- Solve #54593

* Wed Sep 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.13-1mdv2010.0
+ Revision: 451875
- update to new version 0.7.13

* Fri Sep 25 2009 Olivier Blin <blino@mandriva.org> 0.7.12-2mdv2010.0
+ Revision: 448950
- do not build on mips (from Arnaud Patard)

* Wed Sep 09 2009 Emmanuel Andry <eandry@mandriva.org> 0.7.12-1mdv2010.0
+ Revision: 435749
- New version 0.7.12

* Wed Jul 29 2009 Funda Wang <fwang@mandriva.org> 0.7.11-1mdv2010.0
+ Revision: 402881
- new version 0.7.11

* Thu Jun 18 2009 Funda Wang <fwang@mandriva.org> 0.7.10-1mdv2010.0
+ Revision: 386902
- New version 0.7.10

* Sat May 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.9-1mdv2010.0
+ Revision: 376364
- update to new version 0.7.9

* Sat Mar 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.7.6-1mdv2009.1
+ Revision: 352002
- New version 0.7.6
- fix string format not literal
- update files list

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.9-1mdv2009.1
+ Revision: 291665
- update to new version 0.6.9

* Thu Sep 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.7-1mdv2009.0
+ Revision: 283873
- update to new version 0.6.7

* Wed Aug 27 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.6-1mdv2009.0
+ Revision: 276628
- update to new version 0.6.6

* Thu Aug 14 2008 Emmanuel Andry <eandry@mandriva.org> 0.6.5-1mdv2009.0
+ Revision: 272120
- New version
- add P0 from PLD (fix build with gcc4.3)
- add P1 from Fedora (fix missing declaration)
- changed major
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Apr 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.6-2mdv2009.0
+ Revision: 192679
- split libraries in individual subacpakges, to make upgrade easier

  + Erwan Velu <erwan@mandriva.org>
    - 0.5.6

* Tue Feb 26 2008 Erwan Velu <erwan@mandriva.org> 0.5.5-1mdv2008.1
+ Revision: 175413
- 0.5.5

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 116456
- New version 0.5.1

* Fri Oct 12 2007 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2008.1
+ Revision: 97425
- New version 0.4.6

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-1mdv2008.0
+ Revision: 79830
- fix files list

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

  + Funda Wang <fwang@mandriva.org>
    - new major
    - make pdf
    - fix file list
    - New version 0.4.2
    - New major
    - New version 0.4.1

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 17476
- 0.3.2

